Bug 1010002 - invalid opcode 0xaa
invalid opcode 0xaa
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:336ac49c3f43a3469f67ed98a38...
:
Depends On:
Blocks: 1063947
  Show dependency treegraph
 
Reported: 2013-09-19 12:43 EDT by Fahad Alduraibi
Modified: 2015-02-17 12:15 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1063947 (view as bug list)
Environment:
Last Closed: 2015-02-17 12:15:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (104.79 KB, text/plain)
2013-09-19 12:43 EDT, Fahad Alduraibi
no flags Details

  None (edit)
Description Fahad Alduraibi 2013-09-19 12:43:44 EDT
Description of problem:
Booting into the newly installed Kernel 3.11.1

Additional info:
reporter:       libreport-2.1.7
divide error: 0000 [#1] SMP 
Modules linked in: iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables vfat fat x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_intel kvm snd_hda_codec snd_hwdep crc32_pclmul crc32c_intel ath3k btusb ghash_clmulni_intel bluetooth arc4 ath9k snd_seq snd_seq_device snd_pcm snd_page_alloc ath9k_common ath9k_hw ath r8169 uvcvideo mac80211 videobuf2_vmalloc videobuf2_memops videobuf2_core cfg80211 videodev snd_timer mii media snd shpchp soundcore iTCO_wdt iTCO_vendor_support hid_multitouch lpc_ich i2c_i801 mei_me mei microcode mfd_core serio_raw acpi_cpufreq mperf uinput nouveau i915 ttm i2c_algo_bit drm_kms_helper drm i2c_core mxm_wmi asus_nb_wmi asus_wmi rfkill sparse_keymap wmi video
CPU: 6 PID: 525 Comm: X Not tainted 3.11.1-200.fc19.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. N550JV/N550JV, BIOS N550JV.205 07/11/2013
task: ffff880220513d00 ti: ffff880216bf2000 task.ti: ffff880216bf2000
RIP: 0010:[<ffffffffa01d4e00>]  [<ffffffffa01d4e00>] nve4_graph_init+0x250/0x7e0 [nouveau]
RSP: 0018:ffff880216bf3c18  EFLAGS: 00010246
RAX: 00000000007fffff RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffffc9001b503018 RDI: 0000000000000000
RBP: ffff880216bf3cf0 R08: 0000000000000007 R09: 0000000000000000
R10: 000000000000902d R11: ffff88021f4d0000 R12: ffff88021f4d0000
R13: ffffffffa023e080 R14: 0000000000000000 R15: ffff88021f4d00eb
FS:  00007fb1d7a32980(0000) GS:ffff88022ef80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fb1d674a520 CR3: 0000000216bde000 CR4: 00000000001407e0
Stack:
 ffff880216bf3c28 0000000000000000 0000000000000000 0000000000000000
 0000000000000000 0000000000000000 0000000000000000 0000000000000000
 0000000000000000 0000000000000000 0000000000000000 0000000000000000
Call Trace:
 [<ffffffffa017fe7d>] nouveau_object_inc+0xbd/0x1b0 [nouveau]
 [<ffffffffa0180040>] nouveau_object_new+0xd0/0x230 [nouveau]
 [<ffffffffa01e1690>] nouveau_abi16_ioctl_grobj_alloc+0x70/0xe0 [nouveau]
 [<ffffffffa0058142>] drm_ioctl+0x532/0x660 [drm]
 [<ffffffff81651df4>] ? __do_page_fault+0x1f4/0x510
 [<ffffffff8116d8e5>] ? do_mmap_pgoff+0x305/0x3c0
 [<ffffffff811b9d2d>] do_vfs_ioctl+0x2dd/0x4b0
 [<ffffffff811b9f81>] SyS_ioctl+0x81/0xa0
 [<ffffffff8165211e>] ? do_page_fault+0xe/0x10
 [<ffffffff81656859>] system_call_fastpath+0x16/0x1b
Code: 7d 11 89 f8 c1 f8 03 48 98 44 8b 84 85 30 ff ff ff eb a0 8b bd 30 ff ff ff 8d 83 ff ff 7f 00 45 31 f6 4d 8d bc 24 eb 00 00 00 99 <f7> fb bb 14 09 50 00 41 89 c5 49 8b 44 24 50 48 8d b0 80 89 41 
RIP  [<ffffffffa01d4e00>] nve4_graph_init+0x250/0x7e0 [nouveau]
 RSP <ffff880216bf3c18>
Comment 1 Fahad Alduraibi 2013-09-19 12:43:51 EDT
Created attachment 800037 [details]
File: dmesg
Comment 2 Daniel 2013-10-03 12:11:48 EDT
I have the same problem:

Hardware: ASUS N750JV Notebook
OS: Fedora 19 x64

No problems during installation or use with default kernel 3.9.5-301. 

After installation i updated to kernel 3.11.1-200 using "yum update". 
Booting this kernel causes the above kernel panic during boot. 

Today i updated to kernel 3.11.2-201. This kernel has the same problem.
Comment 3 Ash Hughes 2013-10-10 06:20:51 EDT
I also have this problem:

Hardware: Clevo W350STQ, i7-4700MQ, NVIDIA GTX 765M (N14E-GE)
OS: Fedora 19 x64

Similarly, doesn't crash on kernels 3.9 and 3.10, but does with 3.11.

I was getting the invalid opcode 0xAA before though, so although it is probably related (card not being POSTed, from what I read on the nouveau irc log), it might not directly be the cause of this crash. This error message was only ever visible on the screen for a short time, so perhaps other people were getting it and not seeing it?

NB this commit deals with the opcode somewhat, so it will be interesting to see if it fixes this and several other issues with the card:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/gpu/drm/nouveau/core/subdev/bios/init.c?id=5495e39fb3695182b9f2a72fe4169056cada37a1
Comment 4 Ash Hughes 2013-10-24 06:42:05 EDT
This issue is fixed for me with kernel 3.11.6-200.
Comment 5 Fedora End Of Life 2015-01-09 14:53:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:15:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.